--アンデット・スカル・デーモン
function c59969392.initial_effect(c)
	aux.AddMaterialCodeList(c,33420078)
	--synchro summon
	aux.AddSynchroProcedure(c,aux.FilterBoolFunction(Card.IsCode,33420078),aux.NonTuner(Card.IsRace,RACE_ZOMBIE),2)
	Synchro.AddSynchroProcedure(c,{
		tuner_filter=function(mc) return mc:IsCode(33420078) end,
		non_tuner_race=RACE_ZOMBIE,
		non_tuner_min=2,
	})
	c:EnableReviveLimit()
	--indes
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_FIELD)
	e1:SetCode(EFFECT_INDESTRUCTABLE_EFFECT)
	e1:SetRange(LOCATION_MZONE)
	e1:SetTargetRange(LOCATION_MZONE,0)
	e1:SetTarget(aux.TargetBoolFunction(Card.IsRace,RACE_ZOMBIE))
	e1:SetValue(1)
	c:RegisterEffect(e1)
end
